Name:          jatl
Version:       0.2.2
Release:       %mkrel 9
Group:         Development/Java
Summary:       Java Anti-Template Language
License:       ASL 2.0
# https://github.com/agentgt
URL:           https://github.com/chris-martin/jatl
Source0:       https://github.com/chris-martin/jatl/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(commons-lang:commons-lang)
# test deps
BuildRequires: mvn(junit:junit)

Requires:      mvn(commons-lang:commons-lang)

BuildArch:     noarch

%description
Is an extremely lightweight efficient Java library to
generate XHTML or XML in a micro DSL builder/fluent style.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Unwanted
%pom_xpath_remove "pom:build/pom:extensions"
%pom_remove_plugin :maven-license-plugin
# Unwanted build source jar
%pom_remove_plugin :maven-source-plugin
# Unwanted build javadoc jar
%pom_remove_plugin :maven-javadoc-plugin
# Unavailable
%pom_remove_plugin com.googlecode.maven-gcu-plugin:maven-gcu-plugin

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.2.2-9.mga6
+ Revision: 982047
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.2.2-8.mga6
+ Revision: 976482
- First rebuild of the java stack
- sync package jatl with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 0.2.2-6.mga5
+ Revision: 807159
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-5.mga5
+ Revision: 738802
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 0.2.2-3.mga5
+ Revision: 625416
- imported package jatl


* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.2.2-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 04 2013 gil cattaneo <puntogil@libero.it> 0.2.2-1
- initial rpm
